﻿'=============================+++++++++++++VisualMonsters.cba.pl++++++++++++++++=============================

Public Class Form1

    Dim trzymany As Integer = 0 'przechowuje aktualny indeks (na liście kolekcjaElementow) trzymanego obiektu
    Dim jestWRuchu As Boolean = False 'wskazuje, czy trzymamy jakiś obiekt
    Dim GenerujKsztalty As New GenerujKsztalty 'inicjujemy nową klasę
    Dim ran As New Random 'wartość losowa
    Dim WybranyWzor As Integer(,) 'tablica położenia elementów wybranego wzoru
    Dim kolekcjaElementow As New List(Of ksztalt) 'przechowuje struktury
    Dim miejsceNamalowaniaKwadratu As Point 'punkt rysowania planszy

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        PrzygotujTapete()
        kolekcjaElementow = GenerujKsztalty.GenerujElementyGry()
        PrzygotujWzory()
    End Sub

    Dim listaKwadratow(5, 5) As Rectangle 'przechowuje obiekty rectangle naszej planszy

    Private Sub PrzygotujTapete()
        Dim tapeta As New Bitmap(Me.Width, Me.Height)
        Dim g As Graphics = Graphics.FromImage(tapeta)

        'podział formy na prawą i lewą stronę
        'jasny szary
        g.FillRectangle(New SolidBrush(Color.FromArgb(224, 224, 224)),
                        New Rectangle(0, 0, Me.Width - 74 - 400, Me.Height))
        'ciemny szary
        g.FillRectangle(New SolidBrush(Color.Gray), New Rectangle(Me.Width - 74 - 400, 0, 74 + 400, Me.Height))

        'Wielkość planszy ustalamy na 480x480
        'pole będzie miało wymiar 80x80
        'tło planszy (musi być białe!)
        g.FillRectangle(New SolidBrush(Color.White), New Rectangle((Me.Width - 274 - 680) / 2,
                                                                   (Me.Height - 680) / 2, 480, 480))

        'przygotowujemy linie kropkowaną
        Dim dashValues As Single() = {5, 2, 5, 4}
        Dim blackPen As New Pen(Color.Black, 2)
        blackPen.DashPattern = dashValues

        'rysujemy za jej pomocą linie dzielące pola
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2 + 80, (Me.Height - 680) / 2),
                   New Point((Me.Width - 274 - 680) / 2 + 80, (Me.Height - 680) / 2 + 480))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2 + 160, (Me.Height - 680) / 2),
                   New Point((Me.Width - 274 - 680) / 2 + 160, (Me.Height - 680) / 2 + 480))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2 + 240, (Me.Height - 680) / 2),
                   New Point((Me.Width - 274 - 680) / 2 + 240, (Me.Height - 680) / 2 + 480))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2 + 320, (Me.Height - 680) / 2),
                   New Point((Me.Width - 274 - 680) / 2 + 320, (Me.Height - 680) / 2 + 480))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2 + 400, (Me.Height - 680) / 2),
                   New Point((Me.Width - 274 - 680) / 2 + 400, (Me.Height - 680) / 2 + 480))

        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2 + 80),
                   New Point((Me.Width - 274 - 680) / 2 + 480, (Me.Height - 680) / 2 + 80))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2 + 160),
                   New Point((Me.Width - 274 - 680) / 2 + 480, (Me.Height - 680) / 2 + 160))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2 + 240),
                   New Point((Me.Width - 274 - 680) / 2 + 480, (Me.Height - 680) / 2 + 240))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2 + 320),
                   New Point((Me.Width - 274 - 680) / 2 + 480, (Me.Height - 680) / 2 + 320))
        g.DrawLine(blackPen, New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2 + 400),
                   New Point((Me.Width - 274 - 680) / 2 + 480, (Me.Height - 680) / 2 + 400))

        Dim x As Integer = (Me.Width - 274 - 680) / 2
        Dim y As Integer = (Me.Height - 680) / 2

        'Rysujemy pola któr będą ułatwiać grę poprzez auto ułożenie elementów w momęcie ich ułożenia
        'więcej na ten temat powiem na blogu
        For j As Integer = 0 To 5
            For i As Integer = 0 To 5
                listaKwadratow(i, j) = New Rectangle((x - 40) + i * 80, (y - 40) + j * 80, 80, 80)
                'Dim pan As New Panel
                'pan.Location = New Point((x - 40) + i * 80, (y - 40) + j * 80)
                'pan.BackColor = Color.Transparent
                'pan.BorderStyle = BorderStyle.Fixed3D
                'pan.Size = New Size(80, 80)
                'Me.Controls.Add(pan)
            Next
        Next

        'rusujemy ramkę pola gry
        Dim thickRedPen As Pen = New Pen(Color.Tomato, 5)
        g.DrawRectangle(thickRedPen, New Rectangle((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2, 480, 480))
        'pobieramy punkt rysowania planszy, potrzebny nam będzie do sprawdzenia czy wszystkie elementy zostały 
        'ułożone i nie zostawiliśmy pustych pól
        miejsceNamalowaniaKwadratu = New Point((Me.Width - 274 - 680) / 2, (Me.Height - 680) / 2)
        'ustawiamy tapetę formy
        Me.BackgroundImage = tapeta
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        For i As Integer = 0 To kolekcjaElementow.Count - 1
            e.Graphics.DrawImage(kolekcjaElementow(i).bitmap, kolekcjaElementow(i).ksztalt)
        Next
    End Sub


    'offset, aby element nie przesówał się do końca strzałki
    Dim OffsetXX As Integer = 0
    Dim OffsetYY As Integer = 0

    Private Sub Form1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        'jestWRuchu- opcja jest włączona gdy trzymany jest obiekt
        If jestWRuchu = True Then
            'pobieramy "Rectangle" obiektu
            Dim rectnew As Rectangle = kolekcjaElementow(trzymany).ksztalt
            'ustawiamy nowy punkt obiektu
            rectnew.Location = New Point(e.X + OffsetXX, e.Y + OffsetYY)
            'nadpisujemy obiekt o nowych koordynatach na liście 
            kolekcjaElementow(trzymany) = New ksztalt With {
                .bitmap = kolekcjaElementow(trzymany).bitmap,
                .wartosc = kolekcjaElementow(trzymany).wartosc,
                .ksztalt = rectnew,
                .kat = kolekcjaElementow(trzymany).kat}
        Else
            'Jeśli nie trzymamy obiektu, a kursor znajduje się nad obiektem, 
            'zostanie zmieniony jego wygląd na rączkę
            Dim nowyKursor As Cursor = Cursors.Default
            For d As Integer = 0 To kolekcjaElementow.Count - 1
                If (PunktJestNadObiektem(e.X, e.Y, d)) Then
                    nowyKursor = Cursors.Hand
                    trzymany = d
                End If
            Next
            If (Me.Cursor <> nowyKursor) Then
                Me.Cursor = nowyKursor
            End If
        End If
        Me.Invalidate()
    End Sub

    'Funkcja zwraca true, jeśli kursor jest nad kształtem
    Private Function PunktJestNadObiektem(ByVal x As Integer, ByVal y As Integer, ByVal k As Integer) As Boolean
        'Sprawdza nad którym obiektem jest kursor
        If ((x < kolekcjaElementow(k).ksztalt.Left) OrElse (y < kolekcjaElementow(k).ksztalt.Top) OrElse
            (x >= kolekcjaElementow(k).ksztalt.Right) OrElse (y >= kolekcjaElementow(k).ksztalt.Bottom)) Then
            'jeśli nie ma obiektu, zwróci false
            Return False
        End If
        'pobiera pixel kształtu (koordynaty w obiekcie rectangle)
        Dim i As Integer = x - kolekcjaElementow(k).ksztalt.X
        Dim j As Integer = y - kolekcjaElementow(k).ksztalt.Y
        'zwraca true, jeśli wartość alfa koloru jest większa od zera, zero oznacza przezroczystość
        Return (kolekcjaElementow(k).bitmap.GetPixel(i, j).A > 0)
    End Function


    Private Sub Form1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseDown
        'Moment klikniecia na ksztalt
        If e.Button = MouseButtons.Left Then
            If (PunktJestNadObiektem(e.X, e.Y, trzymany)) Then
                OffsetXX = kolekcjaElementow(trzymany).ksztalt.X - e.X
                OffsetYY = kolekcjaElementow(trzymany).ksztalt.Y - e.Y

                Dim bit As Bitmap = kolekcjaElementow(trzymany).bitmap
                'podświetlenie
                Dim Xcount As Integer
                For Xcount = 0 To bit.Width - 1
                    Dim Ycount As Integer
                    For Ycount = 0 To bit.Height - 1
                        Dim pixelColor As Color = bit.GetPixel(Xcount, Ycount)
                        If pixelColor = Color.FromArgb(255, 0, 0) Then
                            bit.SetPixel(Xcount, Ycount, Color.Black)
                        ElseIf pixelColor = Color.FromArgb(64, 224, 208) Then
                            bit.SetPixel(Xcount, Ycount, Color.Blue)
                        End If

                    Next Ycount
                Next Xcount
                'nadpisujemy kształt w kolekcji
                kolekcjaElementow.Add(New ksztalt With {
                       .bitmap = bit,
                       .wartosc = kolekcjaElementow(trzymany).wartosc,
                       .ksztalt = kolekcjaElementow(trzymany).ksztalt,
                       .kat = kolekcjaElementow(trzymany).kat})
                'jeśteśmy w ruchu
                jestWRuchu = True
                'przesówamy obiekt do przodu
                kolekcjaElementow.RemoveAt(trzymany)
                trzymany = kolekcjaElementow.Count - 1
            End If
        End If
        'nadpisze nam grafikę 
        Me.Invalidate()
    End Sub



    Private Sub Form1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseUp
        'prawy przycisk myszy
        'zmiana ustawienia obiektu o 90 stopni
        If e.Button = MouseButtons.Right Then
            'obrazek trzymanego obiektu
            Dim bit As Bitmap = kolekcjaElementow(trzymany).bitmap
            'obracamy obrazek o 90 stopni w prawo
            bit.RotateFlip(RotateFlipType.Rotate90FlipXY)
            Dim kat As Integer = kolekcjaElementow(trzymany).kat
            Dim rec As Rectangle = kolekcjaElementow(trzymany).ksztalt

            If Not rec.Width = rec.Height Then
                Dim w As Integer = rec.Width
                Dim h As Integer = rec.Height
                rec.Size = New Size(h, w)
                kat += 1
                'podłużne obiekty 
                If kolekcjaElementow(trzymany).wartosc = 13 Or kolekcjaElementow(trzymany).wartosc = 2 Then
                    If (kat Mod 2) = 0 Then
                        If kolekcjaElementow(trzymany).wartosc = 13 Then
                            bit.RotateFlip(RotateFlipType.RotateNoneFlipX)
                        End If
                    End If
                    kat = kat Mod 4
                Else
                    If (kat Mod 4) = 0 And kolekcjaElementow(trzymany).wartosc < 10 Then
                        bit.RotateFlip(RotateFlipType.RotateNoneFlipX)
                    End If
                    kat = kat Mod 8
                End If

            ElseIf kolekcjaElementow(trzymany).wartosc = 12 Or kolekcjaElementow(trzymany).wartosc = 1 Then
                kat += 1
                kat = kat Mod 4
            End If

            'nadpisujemy obiekt na liście
            kolekcjaElementow(trzymany) = New ksztalt With {
                    .bitmap = bit,
                    .wartosc = kolekcjaElementow(trzymany).wartosc,
                    .ksztalt = rec,
                    .kat = kat}
        Else
            If jestWRuchu = True Then

                For i As Integer = 0 To 5
                    For j As Integer = 0 To 5
                        'sprawdzamy wszystkie kwadraty, jeśli w jakimś znajduje się nasz kształt, 
                        'wtedy zostanie on dopasowany
                        If (listaKwadratow(i, j).Location.X <= kolekcjaElementow(trzymany).ksztalt.Location.X And
                            listaKwadratow(i, j).Location.X + 80 > kolekcjaElementow(trzymany).ksztalt.Location.X) _
                            And (listaKwadratow(i, j).Location.Y <= kolekcjaElementow(trzymany).ksztalt.Location.Y And
                            listaKwadratow(i, j).Location.Y + 80 > kolekcjaElementow(trzymany).ksztalt.Location.Y) Then
                            ' Dim pan As New Panel
                            ' pan.Location = New Point(listaKwadratow(i, j).Location.X, listaKwadratow(i, j).Location.Y)
                            ' pan.BorderStyle = BorderStyle.Fixed3D
                            ' pan.BackColor = Color.Transparent
                            ' pan.Size = New Size(80, 80)
                            ' Me.Controls.Add(pan)

                            Dim rectnew As Rectangle = kolekcjaElementow(trzymany).ksztalt
                            rectnew.Location = New Point(listaKwadratow(i, j).Location.X + 40,
                                                         listaKwadratow(i, j).Location.Y + 40)
                            Dim bit As Bitmap = kolekcjaElementow(trzymany).bitmap

                            Dim Xcount As Integer
                            For Xcount = 0 To bit.Width - 1
                                Dim Ycount As Integer
                                For Ycount = 0 To bit.Height - 1
                                    Dim pixelColor As Color = bit.GetPixel(Xcount, Ycount)

                                    If pixelColor = Color.FromArgb(0, 0, 0) Then
                                        bit.SetPixel(Xcount, Ycount, Color.FromArgb(255, 0, 0))
                                    ElseIf pixelColor = Color.FromArgb(0, 0, 255) Then
                                        bit.SetPixel(Xcount, Ycount, Color.FromArgb(64, 224, 208))
                                    End If
                                Next Ycount
                            Next Xcount
                            kolekcjaElementow(trzymany) = New ksztalt With {
                               .bitmap = bit,
                               .wartosc = kolekcjaElementow(trzymany).wartosc,
                               .ksztalt = rectnew,
                               .kat = kolekcjaElementow(trzymany).kat,
                               .polozenie = {i, j}}
                            jestWRuchu = False
                        End If

                    Next
                Next

                'Jeśli nie ułożyłeś elementu na planszy wtdy:
                If jestWRuchu = True Then

                    Dim rectnew As Rectangle = kolekcjaElementow(trzymany).ksztalt
                    rectnew.Location = New Point(e.X + OffsetXX, e.Y + OffsetYY)

                    'element wystaje za krawędź formy
                    If e.X + OffsetXX + rectnew.Width > Me.Width Then
                        rectnew.Location = New Point(Me.Width - rectnew.Width, rectnew.Location.Y)
                    End If
                    If e.Y + OffsetYY + rectnew.Height > Me.Height Then
                        rectnew.Location = New Point(rectnew.Location.X, Me.Height - rectnew.Height)
                    End If

                    If e.X + OffsetXX < 0 Then
                        rectnew.Location = New Point(0, rectnew.Location.Y)
                    End If
                    If e.Y + OffsetYY < 0 Then
                        rectnew.Location = New Point(rectnew.Location.X, 0)
                    End If

                    'zmieniamy kolor na normalny
                    Dim bit As Bitmap = kolekcjaElementow(trzymany).bitmap
                    Dim Xcount As Integer
                    For Xcount = 0 To bit.Width - 1
                        Dim Ycount As Integer
                        For Ycount = 0 To bit.Height - 1
                            Dim pixelColor As Color = bit.GetPixel(Xcount, Ycount)

                            If pixelColor = Color.FromArgb(0, 0, 0) Then
                                bit.SetPixel(Xcount, Ycount, Color.FromArgb(255, 0, 0))
                            ElseIf pixelColor = Color.FromArgb(0, 0, 255) Then
                                bit.SetPixel(Xcount, Ycount, Color.FromArgb(64, 224, 208))
                            End If
                        Next Ycount
                    Next Xcount
                    'nadpisujemy kształt
                    kolekcjaElementow(trzymany) = New ksztalt With {
                       .bitmap = bit,
                       .wartosc = kolekcjaElementow(trzymany).wartosc,
                       .ksztalt = rectnew,
                       .kat = kolekcjaElementow(trzymany).kat}

                    jestWRuchu = False
                End If
            End If
        End If
        Me.Invalidate()
        'sprawdzamy koniec gry
        koniecGry()
    End Sub

    Dim graDziala As Boolean = False 'zmienna okresla stan gry
    Dim StopWatch As Diagnostics.Stopwatch

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        PrzygotujTapete() 'resetujemy elementy gry
        kolekcjaElementow = GenerujKsztalty.GenerujElementyGry() 'tworzymy listę elementów
        'wybieramy wzór
        WybranyWzor = GenerujKsztalty.generujWzor(Panel1, ran.Next(0, KsztaltyWzory.Count))
        'rysujemy elementy
        Me.Invalidate()
        'zmieniamy stan gry na działającą
        graDziala = True
        'tworzymy timer liczący czas gry
        StopWatch = New Diagnostics.Stopwatch
        Timer1.Start()
        Me.StopWatch.Start()
    End Sub

    'liczy czas ułożenia
    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        Dim elapsed As TimeSpan = Me.StopWatch.Elapsed
        Label1.Text = String.Format("{0:00}:{1:00}:{2:00}", Math.Floor(elapsed.TotalHours), elapsed.Minutes, elapsed.Seconds)
    End Sub

    'przycisk pokazujący wzór, jednocześnie kopiujący go do Clipboard'a dzięki czemu możemy go dodac do listy wzorów
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim str As String = "{"
        For i As Integer = 0 To kolekcjaElementow.Count - 1
            If kolekcjaElementow(i).polozenie IsNot Nothing Then
                str += "{" + kolekcjaElementow(i).wartosc.ToString + "," +
                    kolekcjaElementow(i).polozenie(0).ToString + "," +
                    kolekcjaElementow(i).polozenie(1).ToString + "," +
                    kolekcjaElementow(i).kat.ToString + "},"
            End If
        Next
        str = str.Remove(str.Length - 1)
        str += "}"
        MsgBox(str)
        System.Windows.Forms.Clipboard.SetText(str)
    End Sub

    'resetuje grę
    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        PrzygotujTapete()
        graDziala = False
        kolekcjaElementow = GenerujKsztalty.GenerujElementyGry()
        WybranyWzor = GenerujKsztalty.generujWzor(Panel1, ran.Next(0, KsztaltyWzory.Count))
        Timer1.Stop()
        Me.StopWatch.Stop()
        Me.Invalidate()
    End Sub

    'przycisk poddania się
    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        graDziala = False
        GenerujKsztalty.poddajsie(Panel1)
        Timer1.Stop()
        Me.StopWatch.Stop()
    End Sub


    Private Sub koniecGry()
        If graDziala = True Then
            Dim ListaElementow(6, 4) As Integer
            Dim licznik As Integer = 0
            'Sprawdza czy wszystkie elementy czerwone są ułożone
            For i As Integer = 0 To kolekcjaElementow.Count - 1
                If kolekcjaElementow(i).wartosc > 10 Then
                    If kolekcjaElementow(i).polozenie Is Nothing Then
                        'jeśli nie wszystkie czerwone elementy są ułożone 
                        'zakończ metodę
                        Exit Sub
                    Else
                        ListaElementow(licznik, 0) = kolekcjaElementow(i).wartosc
                        ListaElementow(licznik, 1) = kolekcjaElementow(i).polozenie(0)
                        ListaElementow(licznik, 2) = kolekcjaElementow(i).polozenie(1)
                        ListaElementow(licznik, 3) = kolekcjaElementow(i).kat
                        licznik += 1
                    End If
                End If
            Next

            'generuje dwie bitmapy
            'pierwszą za pomocą pobranych wyżej współżędnych elementów i wartości obrotu
            'ułożonych elementów
            Dim tenObrazek As Bitmap = GenerujKsztalty.GenerujPorownanie(ListaElementow)
            Panel3.BackgroundImage = tenObrazek
            'drugą bitmapę
            'tworzymy na podstawie wzoru
            Dim obrazekdoporownania As Bitmap = GenerujKsztalty.GenerujPorownanie(WybranyWzor)
            Panel4.BackgroundImage = obrazekdoporownania
            'porównujemy pixele tych dwóch bitmap
            For i As Integer = 0 To tenObrazek.Width - 1
                For j As Integer = 0 To tenObrazek.Height - 1
                    If Not tenObrazek.GetPixel(i, j) = obrazekdoporownania.GetPixel(i, j) Then
                        'jeśli coś się nie zgadza, wtedy zakończ metodę
                        Exit Sub
                    End If
                Next
            Next

            'jesli czerwone elementy są prawidłowo ułożone
            'sprawdzamy czy na planszy nie ma białych pól
            'jeśli elementy turkusowe są nieprawidłowo ułożone
            'na planszy pozostaną białe pola ponieważ takiego koloru jest plansza

            Dim bitmap As Bitmap = New Bitmap(500, 550)
            Dim g As Graphics = Graphics.FromImage(bitmap)
            Dim bmp As Bitmap = New Bitmap(Me.Width, Me.Height)
            'rysujemy kawałek formy do bitmapy
            Me.DrawToBitmap(bmp, New Rectangle(0, 0, Me.Width, Me.Height))
            'rysuje bmp na bitmap
            g.DrawImage(bmp, 0, 0,
                    New Rectangle(miejsceNamalowaniaKwadratu.X, miejsceNamalowaniaKwadratu.Y, 500, 550),
                    GraphicsUnit.Pixel)
            For i As Integer = 0 To bitmap.Width - 1
                For j As Integer = 0 To bitmap.Height - 1
                    'sprawdza czy bitmapa posiada białe kolory
                    If bitmap.GetPixel(i, j) = Color.FromArgb(255, 255, 255) Then
                        'jeśli tak, wtedy zakończ metodę
                        Exit Sub
                    End If
                Next
            Next

            'czerwone elementy są ułożone prawidłowo i plansza jest wypełniona kształtami
            'KONIEC GRY
            Timer1.Stop()
            Me.StopWatch.Stop()
            MessageBox.Show("Osiągnięto czas:" + vbNewLine + Label1.Text, "Koniec gry!", MessageBoxButtons.OK)
        End If
    End Sub
End Class

